Ergebnis 1 bis 8 von 8

Thema: Probleme beim Upgrade ab Version 3.11

  1. #1
    Neuer Benutzer
    Registriert seit
    26.10.2016
    Beiträge
    3
    Downloads
    101
    Uploads
    0

    Probleme beim Upgrade ab Version 3.11

    Hallo,

    ich habe einen Gambio Shop von Version 3.5 auf Version 3.10 ohne Probleme aktualisiert. Jetzt bei Version 3.11 geht gar nichts mehr.
    Nachdem der Servicepack hochgeladen wurde geht die Seite schon beim Aufruf nicht automatisch zum gambio_updater. Ruft man diesen
    auf funktioniert alles einwandfrei. Auch das Update läuft durch. Sobald danach aber der Shop aufgerufen wird. Weiße Seite. In den Logs:
    Error 500. Bin mit suchen langsam am Ende. Kann mir jemand einen Tipp geben woran es noch liegen kann? Muss ja irgendwie am htaccess
    liegen. Aber was? Es handelt sich um die ganz normalen Gambio Dateien. PHP Version von 7.0 auf 7.2 ändern ergab keine Lösung.

    Bin um jede Hilfe dankbar!

    Beste Grüße

  2. #2
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    3.046
    Downloads
    286
    Uploads
    466

    AW: Probleme beim Upgrade ab Version 3.11

    1. Bei fast jeder neuen Nebenversion wird auch die .htaccess angepasst!
    2. Hast du diese Update-Liste befolgt?
    3. Demnach müsstest du jetzt 5 Updates gemacht haben und scheiterst gerade beim 6 Update!?
    4. Wenn ich mich richtig entsinne, müsstest du die .htaccess auch mindestens 3 mal geändert haben!?
    5. PHP 7.0 ist gut. Ab GX 3.15.x auf PHP 7.3 umstellen

  3. #3
    Neuer Benutzer
    Registriert seit
    26.10.2016
    Beiträge
    3
    Downloads
    101
    Uploads
    0

    AW: Probleme beim Upgrade ab Version 3.11

    Hallo Klaus,
    ja alles genau nach der Liste. Ich bin inzwischen einen Schritt weiter. Ich habe mal eine frische 3.11 installiert, um zu sehen das Serverseitig alles läuft. Das ist der Fall. Danach ist mir eine Idee gekommen: Ich habe von der "frischen" Version den Honeygrid Ordner hochgeladen. Schon läuft alles. Allerdings zerschießt es dann das layout des Shops. Also muss es wohl am Template Ordner liegen. Wie kann das sein? Ich überprüfe gerade ob Dateien verlorgen gegangen sind. Aber 2mal? Eher unwahrscheinlich.
    Vielen Dank für die Hilfe.

  4. #4
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    3.046
    Downloads
    286
    Uploads
    466

    AW: Probleme beim Upgrade ab Version 3.11

    Normalerweise gehen keine Dateien "verloren". Dateien die du im Honeygrid-Template aber angepasst hast, werden natürlich unweigerlich überschrieben. Dafür gibt es extra die USERMOD-Dateien!
    Aber auch die USERMOD-Dateien sollten nach jedem Update mit dem jeweiligen Original auf Änderung geprüft und evtl. angepasst werden.
    Durch das Update werden auch überflüssige Dateien gelöscht, jedoch nur mit deiner Bestätigung. Normalerweise werden diese Dateien aber auch tatsächlich nicht mehr benötigt.

    Und ganz wichtig:
    Beim Prüfen der neuen Ansicht am besten immer den Chrome-Browser im Inkognito-Modus verwenden. Auch das Schließen und Neustarten des Browsers ist meist zuverlässiger als F5 bzw. STRG+F5
    Andernfalls gibt es immer wieder Probleme mit dem internen Cache, was immer wieder in Darstellungsproblemen mündet.

  5. #5
    Neuer Benutzer
    Registriert seit
    26.06.2015
    Beiträge
    4
    Downloads
    22
    Uploads
    0

    AW: Probleme beim Upgrade ab Version 3.11

    die Meldung 500 kam bei ebenfalls.

    Bei einigen Ordner und Dateien habe ich die rechte von 777 auf 775 geändert. Dann lief es wieder.
    Ist so eine Besonderheit bei manchen Hostings. PHP-Dateien mit 777 ziegen die Meldung Server 500.

  6. #6
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    3.046
    Downloads
    286
    Uploads
    466

    AW: Probleme beim Upgrade ab Version 3.11

    Der Fehler 500 ist ein Sammel-Statuscode, stellvertretend für alle Serverfehler die sonst nicht anderweitig gelogged werden.
    Die Schreibberechtigung "Andere" mit 775 einzuschränken müsste, wenn überhaupt, zu noch mehr Fehlern führen.

  7. #7
    Neuer Benutzer
    Registriert seit
    26.06.2015
    Beiträge
    4
    Downloads
    22
    Uploads
    0

    AW: Probleme beim Upgrade ab Version 3.11

    ja richtig, kann zu noch mehr Fehler führen. Dennoch hängt von Serverkonfiguration aus.

    ich hatte vor Jahren bzgl Fehler 500 ein Ticket erstellt.
    Als Antwort kam:

    This file had its permissions set to 777. We changed them to 775, and the problem appears to be resolved. Our servers are running under SuExec mode, which enables your scripts to run as your own user (not as the web server), so you never need to give world-writable rights to your files and directories. Furthermore, such permissions would be treated as insecure by SuExec, and accessing the files in a web browser would produce such an error message.
    seit dem ist auf dem Hosting maximal 775. Zu Fehler kam es nicht.

  8. #8
    Administrator Avatar von KlausK
    Registriert seit
    29.09.2010
    Beiträge
    3.046
    Downloads
    286
    Uploads
    466

    AW: Probleme beim Upgrade ab Version 3.11

    mmhh .... mod_suexec ist bei mir standardmäßig aktiviert. Auf 32 Domains betreibe ich unterschiedlichste Anwendungen. PHP 5.6 bis 7.4 laufen im FCGI- und im FPM-Mode. Probleme mit den CHMOD's hatte ich bis heute allerdings keine. Das mag natürlich auch reiner Zufall sein.

Ähnliche Themen

  1. Probleme beim Cache leeren nach Masterupdates
    Von Dave1987 im Forum Gambio GX Adminbereich
    Antworten: 4
    Letzter Beitrag: 22.11.2019, 03:32
  2. Probleme beim Update
    Von prolavita im Forum Shopsoftware
    Antworten: 3
    Letzter Beitrag: 28.03.2019, 08:37
  3. Antworten: 0
    Letzter Beitrag: 06.12.2015, 11:15
  4. Brauche Hilfe Probleme beim Speichern
    Von kauffuchsteam im Forum Allgemeines - Off Topic
    Antworten: 3
    Letzter Beitrag: 09.08.2014, 22:46
  5. Probleme beim Lokaler Installation Gambio GX - Aus Echo
    Von Merlyn Design im Forum Gambio GX Off Topic
    Antworten: 2
    Letzter Beitrag: 17.02.2011, 10:35

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •